# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           mopac7
Summary:        Semi-empirical quantum mechanics suite
Version:        1.15
Release:        alt1_15
License:        Public Domain
Group:          Engineering
URL:            http://sourceforge.net/projects/mopac7/
Source0:        http://www.uku.fi/~thassine/projects/download/current/%{name}-%{version}.tar.gz
Requires:       %{name}-libs = %{version}-%{release}
BuildRequires:  libtool
BuildRequires:  gcc-fortran
Source44: import.info

%description
MOPAC7 is a semi-empirical quantum-mechanics code written by James
J. P.  Stewart and co-workers. The purpose of this project is to
maintain MOPAC7 as a stand-alone program as well as a library that
provides the functionality of MOPAC7 to other programs.

%package libs
Summary:    Dynamic libraries from %{name}
Group:      Development/C

%description libs
Dynamic libraries from %{name}.

%package devel
Summary:    Header files and libraries from %{name}
Group:      Development/C
Requires:   %{name}-libs = %{version}-%{release}

%description devel
Header include files and libraries for developing programs based on %{name}.

%prep
%setup -q
perl -pi -e "s#-lg2c##g" libmopac7.pc.in

%build
autoreconf -v -f -i
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
make DESTDIR="%{buildroot}" INSTALL="install -p" install
# make install does not actually install the main binary
# chrpath --delete     fortran/.libs/%{name}
install -D -p -m 755 fortran/.libs/%{name} %{buildroot}%{_bindir}/%{name}
# install a convenience fortran wrapper for the main binary
sed "s;./fortran;%{_bindir};" run_mopac7 > %{buildroot}%{_bindir}/run_mopac7
chmod 755 %{buildroot}%{_bindir}/run_mopac7
# kill off the .la files
find %{buildroot}%{_libdir} -name *.la -exec rm -rf {} \;
# kill off the makefiles in tests directory so we can use them as samples in %doc
find tests -name 'Makefile*'           -exec rm -rf {} \;

%files
%doc tests
%{_bindir}/mopac7
%{_bindir}/run_mopac7

%files libs
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libmopac7.so.*

%files devel
%{_includedir}/mopac7/
%{_libdir}/libmopac7.so
%{_libdir}/pkgconfig/libmopac7.pc


%changelog
* Tue Apr 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.15-alt1_15
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 1.15-alt1_14
- update to new release by fcimport

* Wed Jan 16 2013 Igor Vlasenko <viy@altlinux.ru> 1.15-alt1_13
- initial fc import

